2017-11-20 05:26 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000226v1.1 Release (Closed)[All Projects] Generalpublic2009-09-09 22:44
Reportertrevormorse 
Assigned Totrevormorse 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
Product Version1.1 
Target VersionFixed in Version1.1 
Summary0000226: No server side validation for most of the required fields when creating a project
DescriptionThe following fields are marked as required when creating a project:
Project Name
Company
Priority
Short Name
Color Identifier
Project Type
Status

These are all checked client side before submitting the form but only Project Name is checked server side. The expected error messages are listed below.

Company = CProject::store-check failed project company is NULL
Priority = CProject::store-check failed project priority is NULL
Short Name = CProject::store-check failed project short name is NULL
Color Identifier = CProject::store-check failed project color identifier is NULL
Project Type = CProject::store-check failed project type is NULL
Status = CProject::store-check failed project status is NULL
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000422

caseydk (administrator)

Trevor and I resolved this one.

~0000465

caseydk (administrator)

Closed for release.
+Notes

-Issue History
Date Modified Username Field Change
2009-08-01 07:13 trevormorse New Issue
2009-08-01 07:17 trevormorse Status new => assigned
2009-08-01 07:17 trevormorse Assigned To => trevormorse
2009-09-08 22:53 caseydk Status assigned => resolved
2009-09-08 22:53 caseydk Fixed in Version => 1.1
2009-09-08 22:53 caseydk Resolution open => fixed
2009-09-08 22:53 caseydk Note Added: 0000422
2009-09-09 22:44 caseydk Status resolved => closed
2009-09-09 22:44 caseydk Note Added: 0000465
+Issue History